%define ocamlname lwt_ssl

Name:           ocaml-%{ocamlname}
Version:        1.1.2
Release:        1%{?dist}.emp1
Summary:        OpenSSL binding with concurrent I/O
License:        LGPL with OpenSSL linking exception
URL:            https://github.com/aantron/lwt_ssl
Source0:        %{ocamlname}-%{version}.tar.gz

Requires:       ocaml
Requires:	ocaml-lwt >= 3.0.0
Requires:	ocaml-ssl >= 0.5.0

BuildRequires:  ocaml
BuildRequires:  opam-installer >= 2.0
BuildRequires:  jbuilder
BuildRequires:	ocaml-lwt-devel >= 3.0.0
BuildRequires:	ocaml-ssl-devel >= 0.5.0

%description
OpenSSL binding with concurrent I/O

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:	ocaml-lwt-devel >= 3.0.0
Requires:	ocaml-ssl-devel >= 0.5.0

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%files
%doc COPYING
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/CHANGES
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
